<?php
/**
* Plugin Name:  Responso for WooCommerce
* Plugin URI:   https://responso.com/
* Description:  Responso helpdesk integration with WooCommerce
* Version:      1.0.0
* Author:       Appwise
* Author URI:   https://appwise.pl/
* License:      GPL2
* License URI:  https://www.gnu.org/licenses/gpl-2.0.html
* Text Domain:  responso
* Domain Path:  /languages
* Requires at least: 6.0.1
* Requires PHP: 7.4.3
* WC requires at least: 6.6.0
* WC tested up to: 7.6.1
*
* @package Responso
*/

if(!defined('ABSPATH')):
	exit; // Exit if accessed directly.
endif;

// Check if WooCommerce is active.
if(!in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))):
	return;
endif;

// Autoloader.
require __DIR__.'/vendor/autoload.php';

// Run Responso Plugin
add_action('plugins_loaded', function() {
	if(class_exists('Responso\\Plugin')) {

		$plugin_info = new \Responso\Plugin_Info(__FILE__);
		new \Responso\Plugin($plugin_info);
	}
},99);